# frozen_string_literal: true

module Articles
  class EditAction < UserAction
    expose :article

    def perform(id)
      @article = ArticleRepository.new.find_for_user(id, user: @current_user)
      raise UnauthorizedError unless @article
    end
  end
end
