# frozen_string_literal: true

module Articles
  class UpdateAction < UserAction
    expose :article

    def perform(id, input)
      if input.valid?
        @article = ArticleRepository.new.update(id, input)
      else
        failure(input.errors)
      end
    end
  end
end
