# frozen_string_literal: true

module Comments
  class CreateAction < ApplicationAction
    expose :comment

    def perform(input)
      if input.valid?
        @comment = CommentRepository.new.create(input)
      else
        failure(input.errors)
      end
    end
  end
end
