# frozen_string_literal: true

module Articles
  class CreateAction < UserAction
    expose :article

    def perform(input)
      if input.valid?
        @article = ArticleRepository.new.create(input)
      else
        failure(input.errors)
      end
    end
  end
end
