# frozen_string_literal: true

class UserAction < ApplicationAction
  class UnauthorizedError < StandardError; end

  def initialize(...)
    super
    raise UnauthorizedError unless @current_user
  end
end
