# frozen_string_literal: true

module Users
  class CreateAction < ApplicationAction
    def perform(input)
      if input.valid?
        @current_user = UserRepository.new.create(input)
      else
        failure(input.errors)
      end
    end
  end
end
