# frozen_string_literal: true

module UsersHelper
  def user_signed_in?
    current_user.present?
  end

  def current_user
    @result.current_user
  end

  def belongs_to_current_user?(model)
    user_signed_in? && model.user_id == current_user.id
  end
end
