# frozen_string_literal: true

class ArticleInput < Upgrow::Input
  attribute :title
  attribute :body
  attribute :user_id

  validates :user_id, presence: true
  validates :title, presence: true
  validates :body, presence: true, length: { minimum: 10 }
end
