# frozen_string_literal: true

class CommentInput < Upgrow::Input
  attribute :article_id
  attribute :user_id
  attribute :body

  validates :article_id, presence: true
  validates :user_id, presence: true
  validates :body, presence: true, length: { minimum: 10 }
end
