# frozen_string_literal: true

class UserRepository < Upgrow::Repository
  def find_for_authentication(input)
    record = UserRecord.find_by(email: input.email)
    to_model(record) if record&.authenticate(input.password)
  end

  def find_from_context(id)
    record = UserRecord.find_by(id: id)
    to_model(record)
  end
end
