# frozen_string_literal: true

Rails.application.routes.draw do
  resources :articles do
    resources :comments, only: [:new, :create, :destroy]
  end

  resource :session, only: [:new, :create, :destroy]
  resource :user, only: [:new, :create]

  root 'articles#index'
end
