# frozen_string_literal: true

require 'application_system_test_case'

class SignOutTest < ApplicationSystemTestCase
  test 'successful sign out' do
    sign_in

    find_link('existing@example.com').hover

    click_on 'Sign out'

    assert_title 'Articles'

    within '.navbar' do
      assert_link 'Sign in'
    end
  end
end
